YouTube Music

Search YouTube Music, fetch suggestions, song metadata, lyrics, albums, artists, and playlists. The `type` request field selects the operation.

Search YouTube Music, fetch suggestions, song metadata, lyrics, albums, artists, and playlists. The type request field selects the operation.

Authorization

bearerAuth
AuthorizationBearer <token>

API key from your dashboard. Prefix with Bearer in the Authorization header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

POST
/v1/music
curl -X POST "https://example.com/v1/music" \  -H "Content-Type: application/json" \  -d '{    "type": "search",    "q": "trippie redd",    "searchType": "song"  }'
{  "success": true,  "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",  "cacheState": "hit",  "creditsUsed": 0,  "creditsRemaining": 0,  "data": {    "items": [      {        "type": "song",        "id": "string",        "url": "string",        "videoUrl": "string",        "playlistUrl": "string",        "channelUrl": "string",        "albumUrl": "string",        "artistUrl": "string",        "title": "string",        "author": "string",        "authorId": "string",        "album": {          "id": "string",          "name": "string"        },        "artists": [          {            "id": "string",            "name": "string"          }        ],        "duration": "string",        "durationSec": 0,        "durationText": "string",        "isExplicit": true,        "plays": "string",        "thumbnails": [          {            "url": "string",            "width": 0,            "height": 0          }        ]      }    ],    "continuationToken": "string",    "hasMore": true,    "empty": {      "code": "string",      "message": "string"    }  }}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}
{  "success": false,  "code": "UNAUTHORIZED",  "error": "string",  "details": null}